--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...

local AddonName = "Mapster"

local function AssignMapster(reset)
	if not IsAddOnLoaded(AddonName) then 
		NS:GetSettings("Addons")[AddonName].inactive = true
		return 
	end
	MapsterDB.profileKeys[NS:GetAceProfile()] = "FauxMazzle"
	LibStub("AceConfigRegistry-3.0"):NotifyChange(AddonName)
end

local function ConfigureMapster(reset)
	if not IsAddOnLoaded(AddonName) then 
		NS.DebugPrint("Not Found:", AddonName)
		return
	end
	if not MapsterDB then return end
	if MapsterDB.profiles.FauxMazzle then
		table.wipe(MapsterDB.profiles.FauxMazzle)
	else
		MapsterDB.profiles.FauxMazzle = {}
	end
	MapsterDB.profiles.FauxMazzle.point = "TOP"
	MapsterDB.profiles.FauxMazzle.scale = 1.100470542907715
	MapsterDB.profiles.FauxMazzle.modules = {}
	MapsterDB.profiles.FauxMazzle.modules.Coords = true

	MapsterDB.profiles.FauxMazzle.x = -7.559049997667898
	MapsterDB.profiles.FauxMazzle.y = -1.999581353447866
end

NS:AddConfig(1, AddonName, AddonName, ConfigureMapster, AssignMapster)
